const vars = require('./var')

module.exports = {
  focusBorder: vars.transparent,
  'editorLink.activeForeground': vars.common,
  'selection.background': '#80CBC440',
  'progressBar.background': '#80CBC4',
  'textLink.foreground': '#80CBC4',
  'textLink.activeForeground': vars.common,
  'editorCursor.foreground': vars.dark2,
  'editorRuler.foreground': '#B0BEC5',
  'editorLineNumber.foreground': '#CFD8DC',
  'editorLineNumber.activeForeground': '#627883',
  'editorBracketMatch.border': vars.dark2 + 50,
  'editorBracketMatch.background': vars.white,
  'editorWhitespace.foreground': vars.plain2,
  'editor.background': vars.white,
  'editor.foreground': '#546e7a',
  'editor.lineHighlightBackground': '#CCD7DA50',
  'editor.selectionBackground': '#80CBC440',
  'editor.selectionHighlightBackground': '#80CBC400',
  'editor.selectionHighlightBorder': '#B6D5E0',
  'editor.snippetTabstopHighlightBackground': '#80CBC400',
  'editor.findMatchBackground': '#fd800855',
  'editor.findMatchHighlightBackground': '#B6D5E000',
  'editor.findMatchBorder': '#fd800800',
  'editor.findMatchHighlightBorder': '#B6D5E0',
  'editorOverviewRuler.border': vars.white,
  'editorHoverWidget.background': vars.white,
  'editorHoverWidget.border': '#00000010',
  'editorIndentGuide.background': vars.plain2,
  'editorIndentGuide.activeBackground': vars.plain3,
  'editorGroupHeader.tabsBackground': vars.white,
  'editorGroup.border': vars.plain2,
  'editorGutter.modifiedBackground': '#6182B860',
  'editorGutter.addedBackground': '#91B85960',
  'editorGutter.deletedBackground': '#E5393560',
  'editorSuggestWidget.background': vars.white,
  'editorSuggestWidget.foreground': vars.common,
  'editorSuggestWidget.highlightForeground': '#546e7a',
  'editorSuggestWidget.selectedBackground': '#CCD7DA50',
  'editorSuggestWidget.border': vars.black + 10,
  'editorError.foreground': '#E5393570',
  'editorWarning.foreground': '#91B85970',
  'editorWidget.background': vars.plain1,
  'editorWidget.resizeBorder': '#80CBC4',
  'editorWidget.border': vars.plain3,
  'editorMarkerNavigation.background': '#90A4AE05',
  'tab.activeBorder': '#3fc2a7',
  'tab.unfocusedActiveBorder': vars.common,
  'tab.activeBackground': vars.plain2,
  'tab.activeForeground': vars.black,
  'tab.inactiveForeground': '#627883',
  'tab.inactiveBackground': vars.white,
  'tab.unfocusedActiveForeground': vars.common,
  'tab.border': vars.white,
  'statusBar.noFolderBackground': vars.white,
  'statusBar.border': vars.plain3,
  'statusBar.background': vars.plain1,
  'statusBar.foreground': '#7E939E',
  'statusBar.debuggingBackground': '#7C4DFF',
  'statusBar.debuggingForeground': vars.white,
  'statusBarItem.hoverBackground': '#90A4AE20',
  'activityBar.background': vars.plain1,
  'activityBar.border': vars.plain3,
  'activityBar.foreground': '#19b491',
  'activityBar.inactiveForeground': '#a7beca',
  'activityBarBadge.background': '#EA4224',
  'activityBarBadge.foreground': vars.white,
  'titleBar.activeBackground': vars.plain3,
  'titleBar.activeForeground': vars.dark1,
  'titleBar.inactiveBackground': vars.plain1,
  'titleBar.inactiveForeground': '#627883',
  'titleBar.border': vars.plain3,
  'sideBar.background': vars.plain1,
  'sideBar.foreground': '#627883',
  'sideBar.border': vars.plain3,
  'sideBarTitle.foreground': vars.common,
  'sideBarSectionHeader.background': vars.plain2,
  'input.background': vars.white,
  'input.foreground': vars.common,
  'input.placeholderForeground': '#90A4AE60',
  'input.border': vars.plain3,
  'inputOption.activeBackground': vars.cyan1 + 25,
  'inputValidation.errorBorder': '#E5393550',
  'inputValidation.infoBorder': '#6182B850',
  'inputValidation.warningBorder': '#FFB62C50',
  'dropdown.background': vars.white,
  'dropdown.border': '#00000010',
  'list.hoverForeground': vars.cyan2,
  'list.hoverBackground': '#80CBC410',
  'list.activeSelectionBackground': '#80CBC430',
  'list.activeSelectionForeground': vars.cyan2,
  'list.inactiveSelectionBackground': '#ccd7da50',
  'list.inactiveSelectionForeground': '#80CBC4',
  'list.focusBackground': '#90A4AE20',
  'list.focusForeground': vars.common,
  'list.highlightForeground': '#80CBC4',
  'terminal.ansiWhite': vars.grey2,
  'terminal.ansiBlack': vars.black,
  'terminal.ansiBlue': vars.blue2,
  'terminal.ansiCyan': vars.cyan2,
  'terminal.ansiGreen': vars.green2,
  'terminal.ansiMagenta': vars.magenta2,
  'terminal.ansiRed': vars.red2,
  'terminal.ansiYellow': vars.yellow2,
  'terminal.ansiBrightWhite': vars.grey1,
  'terminal.ansiBrightBlack': vars.dark2,
  'terminal.ansiBrightBlue': vars.blue1,
  'terminal.ansiBrightCyan': vars.cyan1,
  'terminal.ansiBrightGreen': vars.green1,
  'terminal.ansiBrightMagenta': vars.magenta1,
  'terminal.ansiBrightRed': vars.red1,
  'terminal.ansiBrightYellow': vars.yellow1,
  'scrollbar.shadow': vars.plain2 + 50,
  'scrollbarSlider.background': vars.cyan1 + 80,
  'scrollbarSlider.hoverBackground': vars.cyan1 + 'aa',
  'scrollbarSlider.activeBackground': vars.cyan1 + 'ee',
  'widget.shadow': vars.black + 20,
  'panel.border': vars.plain3,
  'panel.background': vars.plain1,
  'panelTitle.inactiveForeground': vars.common,
  'panelTitle.activeForeground': '#16967a',
  'panelTitle.activeBorder': '#3fc2a7',
  'panelSectionHeader.background': vars.plain2,
  'diffEditor.insertedTextBackground': '#91B85915',
  'diffEditor.removedTextBackground': '#E5393520',
  'notifications.background': vars.white,
  'notifications.foreground': vars.common,
  'notificationLink.foreground': '#80CBC4',
  'badge.background': '#CCD7DA30',
  'badge.foreground': vars.common,
  'button.background': vars.cyan1,
  'extensionButton.prominentBackground': '#91B85990',
  'extensionButton.prominentHoverBackground': '#91B859',
  'peekView.border': '#00000020',
  'peekViewEditor.background': '#90A4AE05',
  'peekViewTitle.background': '#90A4AE05',
  'peekViewResult.background': '#90A4AE05',
  'peekViewEditorGutter.background': '#90A4AE05',
  'peekViewTitleDescription.foreground': '#90A4AE60',
  'peekViewResult.matchHighlightBackground': '#80CBC440',
  'peekViewEditor.matchHighlightBackground': '#80CBC440',
  'debugToolBar.background': vars.white,
  'pickerGroup.foreground': '#80CBC4',
  'gitDecoration.deletedResourceForeground': '#E5393590',
  'gitDecoration.conflictingResourceForeground': '#FFB62C90',
  'gitDecoration.modifiedResourceForeground': '#6182B890',
  'gitDecoration.untrackedResourceForeground': '#91B85990',
  'gitDecoration.ignoredResourceForeground': '#62788390',
  'peekViewResult.selectionBackground': '#62788370',
  'breadcrumb.background': vars.white,
  'breadcrumb.foreground': '#627883',
  'breadcrumb.focusForeground': vars.common,
  'breadcrumb.activeSelectionForeground': '#80CBC4',
  'breadcrumbPicker.background': vars.plain1,
  'menu.background': vars.white,
  'menu.foreground': vars.common,
  'menu.selectionBackground': '#CCD7DA50',
  'menu.selectionForeground': vars.dark2,
  'menu.selectionBorder': '#CCD7DA50',
  'menu.separatorBackground': vars.common,
  'menubar.selectionBackground': '#CCD7DA50',
  'menubar.selectionForeground': vars.dark2,
  'menubar.selectionBorder': '#CCD7DA50',
  'settings.dropdownForeground': vars.common,
  'settings.dropdownBackground': vars.plain1,
  'settings.numberInputForeground': vars.common,
  'settings.numberInputBackground': vars.plain1,
  'settings.textInputForeground': vars.common,
  'settings.textInputBackground': vars.plain1,
  'settings.headerForeground': '#80CBC4',
  'settings.modifiedItemIndicator': '#80CBC4',
  'settings.checkboxBackground': vars.plain1,
  'settings.checkboxForeground': vars.common
}
